Download it now!
Bug 126421 - Only part of copied range is pasted to another sheet
Summary: Only part of copied range is pasted to another sheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-16 06:13 UTC by Mike Kaganski
Modified: 2019-07-30 14:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-07-16 06:13:35 UTC
1. Create a new spreadsheet.
2. Select A1:CC1
3. Sheet->Fill Cells->Fill Random Number, and accept defaults to fill the range
4. Copy the range to clipboard
5. Create new sheet in the spreadsheet
6. With A1 focused, paste.

Data in copied only up to column BL (the first 64 columns).

Tested with Version: 6.3.0.1 (x64)
Build ID: 41ac97386aba908b6db860cfb4cfe2da871886ae
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 1 Jacques Guilleron 2019-07-16 15:39:54 UTC
Hi Mike,

I don't reproduce with
LO 6.3.0.1 (x86) Build ID: 41ac97386aba908b6db860cfb4cfe2da871886ae
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; VCL: win; 
Locale : fr-FR (fr_FR); UI-Language: fr-FR Calc: CL
nor with
LO  6.4.0.0.alpha0+ (x86) Build ID: 719f4a93e46a6b397356dbb605d2867639ca3942
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: en-US (fr_FR); UI-Language: en-US Calc: CL

Windows 10 only?
Jacques
Comment 2 Mike Kaganski 2019-07-16 20:11:13 UTC
(In reply to Mike Kaganski from comment #0)
> 2. Select A1:CC1

I should have written A1:CC2. Sorry.
Comment 3 m.a.riosv 2019-07-16 20:40:26 UTC
Repro
Version: 6.3.0.1.0+ (x64)
Build ID: d4aa418fbfb9bd23e05fa739f20363bc299570d5
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-3, Time: 2019-07-10_11:36:58
Locale: es-ES (es_ES); UI-Language: en-US
Calc: CL
Comment 4 Commit Notification 2019-07-17 07:54:24 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2d4ccc58e9ef3b98a88407e1a7a3abf3379f0d20%5E%21

tdf#126421: don't limit pasted data to allocated columns in destination

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Jacques Guilleron 2019-07-17 10:43:40 UTC
Next to Comment 2, 
with selection A1:CC2,
I reproduce too with
LO 6.3.0.0.alpha0+ Build ID: f6a64f9bdce16cc18bb086b0de894fba7e1538c3
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: en-US (fr_FR); UI-Language: en-US Calc: CL
and upper versions
I try the fix tomorrow.

Have a nice day,
Jacques
Comment 6 Commit Notification 2019-07-18 20:17:15 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/7e803a348a020bc48a039c4f7f098ae17843c534%5E%21

tdf#126421: don't limit pasted data to allocated columns in destination

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Jacques Guilleron 2019-07-30 14:33:19 UTC
Works as expected with
LO 6.4.0.0.alpha0+ (x86) Build ID: 5ba84c3c7080d55d86b8b39db077b6da36cb700a
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: fr-FR (fr_FR); UI-Language: en-US Calc: CL

Have a fine day,

Jacques